Subject: RE: Regarding the Options headers

From: Mohit Goyal <[email-masked]>
Date: Wed, 15 Nov 2000 15:23:34 -0800

A quick question then:

How would you handle the cases where a Routing Header is to be processed? 

In this case, the ROUTER has to go beyond the IPv6 header. Perhaps, even
processing a Hop by hop and/or destinations options header, prior to it
also.

It's tough to do in an ASIC, I agree. However, I still don't how you could
simply skip over the extension headers, and go directly to the transport
layer. I think the looping algorithm is your best option.

On a side note: typically, how many addresses would reside in the Routing
Header?

Cheers,
Mo

-----Original Message-----
From: Thomas Eklund [mailto:[email-masked]]
Sent: Wednesday, November 15, 2000 11:36 AM
To: 'Markku Savela'; [email-masked]
Subject: RE: Regarding the Options headers 

Just one short comment,
I agree with you - but what do you do when the ISP uses this today in their
edge routers?

Lets not make it a religous thing here - this is a real problem that IPv6
are facing when it will take the next step into production networks (with
real speeds) not any field trial networks.

-- thomas

> > This is no problem if you do it in a sw based router where
> > you have all the
> > time in the world to parse your header but it becomes an
> > issue when you
> > implement IPv6 in asic!!
>
> How about going with the original spirit of the Internet,
> that routers have
> no business of snooping into packet any deeper than the IP header?
>
> Lets keep it clean, and not break the layering!
>
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
>

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Jun-ichiro itojun Hagino <[email-masked]>
Date: Thu, 16 Nov 2000 16:59:00 +0900

>On a side note: typically, how many addresses would reside in the Routing

	I believe thomas would like to see more use of flow label, like
	for every TCP sessions.  though there's no guarantee that flow label
	will identify each of TCP sessions (intermediate routes cannot trust
	the behavior of TCP endpoints), flow label should give thomas
	a good indication for doing layer 4 classification.

itojun

---

From: Francis Dupont <[email-masked]>
Date: Thu, 16 Nov 2000 10:49:46 +0100

In your previous mail you wrote:

   A quick question then:

=> I don't understand your argument. A routing header is to be processed
only if the destination address (in the IPv6 header, the router can't do
something without looking at it :-) is one of the router addresses.

=> one but you can have more or less:
 - one if it is for mobile IPv6 routing optimization
 - zero if it is in order to crash your friend implementation (:-)
 - some if it is for another usage (some kind of policy routing,
   in this case some addresses will be subnet anycasts).
The maximal number is 127 addresses but should have the same effect than zero!

[email-masked]

PS: your argument is valid for a firewall: inspection should be implemented
by a loop.